javax.visrec.ml.eval

## Class PerformanceMeasure

- java.lang.Object
- - javax.visrec.ml.eval.PerformanceMeasure

    public class PerformanceMeasure
    extends Object

This class holds information about various classification performance measures.

Since:
  1.0
Author:
  Zoran Sevarac

### Field Summary

Fields
`static String` `ACCURACY`
`static String` `F1SCORE`
`static String` `MSE`
`static String` `PRECISION`
`static String` `RECALL`

### Constructor Summary

Constructors
Constructor and Description
`PerformanceMeasure()`

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `get(String key)`
`void` `set(String key, float value)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MSE

    public static final String MSE

See Also:
  Constant Field Values

#### ACCURACY

    public static final String ACCURACY

See Also:
  Constant Field Values

#### PRECISION

    public static final String PRECISION

See Also:
  Constant Field Values

#### RECALL

    public static final String RECALL

See Also:
  Constant Field Values

#### F1SCORE

    public static final String F1SCORE

See Also:
  Constant Field Values

### Constructor Detail

#### PerformanceMeasure

    public PerformanceMeasure()

### Method Detail

#### get

    public float get(String key)

#### set

    public void set(String key,
                    float value)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`